Межсайтовый скриптинг в RateMe

Дата публикации:
03.11.2008
Всего просмотров:
1302
Опасность:
Низкая
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2008-4898
CVE-2008-4899
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RateMe 1.x
Уязвимые версии: RateMe 1.3.3, возможно более ранние версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за недостаточной проверки подлинности HTTP запросов при выполнении некоторых действий. Удаленный пользователь может произвести CSRF нападение.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "rate" при добавлении балла. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.planetluc.com/en/scripts_rateme.php

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://holisticinfosec.org/content/view/85/45/

или введите имя

CAPTCHA